diff --git mythtv/i18n/mythfrontend_es_es.ts mythtv/i18n/mythfrontend_es_es.ts
index 3931ca6..8c50117 100644
--- mythtv/i18n/mythfrontend_es_es.ts
+++ mythtv/i18n/mythfrontend_es_es.ts
@@ -21405,87 +21412,87 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../themes/themestrings.h" line="31"/>
         <source>Images Settings</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuración de Imágenes</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="32"/>
         <source>Configure display of image gallery</source>
-        <translation type="unfinished"></translation>
+        <translation>Configure el aspecto de la galería de imágenes</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="33"/>
         <source>Game Settings</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuración de Juegos</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="34"/>
         <source>Configure playback of games</source>
-        <translation type="unfinished"></translation>
+        <translation>Configure la ejecución de juegos</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="35"/>
         <source>Weather Settings</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuración de El Tiempo</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="36"/>
         <source>Weather locale and sources</source>
-        <translation type="unfinished"></translation>
+        <translation>Ubicación y fuentes para El Tiempo</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="37"/>
         <source>News Settings</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuración de Noticias</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="38"/>
         <source>Choose which news sources interest you</source>
-        <translation type="unfinished"></translation>
+        <translation>Elija qué fuentes de noticias le interesan</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="39"/>
         <source>Web Settings</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuración de Web</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="40"/>
         <source>Manage web bookmarks</source>
-        <translation type="unfinished"></translation>
+        <translation>Gestione sus sitios favoritos en la web</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="41"/>
         <source>Recipe Settings</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuración de Recetas</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="42"/>
         <source>Archive Files Settings</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuración de Archivado</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="43"/>
         <source>Configure how to archive video to DVD</source>
-        <translation type="unfinished"></translation>
+        <translation>Configure cómo archivar vídeos en DVD</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="44"/>
         <source>ZoneMinder Settings</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuración de ZoneMinder</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="45"/>
         <source>Set up surveillance software</source>
-        <translation type="unfinished"></translation>
+        <translation>Configure el software de vigilancia</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="46"/>
         <source>Watch Recordings</source>
-        <translation>Watch Recordings</translation>
+        <translation>Ver Grabaciones</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="47"/>
         <source>Play Recordings</source>
-        <translation type="unfinished"></translation>
+        <translation>Reproducir Grabaciones</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="48"/>
@@ -21495,7 +21502,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../themes/themestrings.h" line="49"/>
         <source>See what will be recorded next</source>
-        <translation type="unfinished"></translation>
+        <translation>Vea qué se grabará próximamente</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="50"/>
@@ -21505,7 +21512,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../themes/themestrings.h" line="51"/>
         <source>Pick shows to record</source>
-        <translation>Escoger programas para grabar</translation>
+        <translation>Escoja los programas a grabar</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="52"/>
@@ -21515,7 +21522,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../themes/themestrings.h" line="53"/>
         <source>Prioritize some shows over others</source>
-        <translation>Dar prioridad a unos programas sobre otros</translation>
+        <translation>Dé prioridad a unos programas sobre otros</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="54"/>
@@ -21525,57 +21532,57 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../themes/themestrings.h" line="55"/>
         <source>What your system is doing right now</source>
-        <translation type="unfinished"></translation>
+        <translation>Qué está haciendo su sistema ahora mismo</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="56"/>
         <source>Utilities / Setup</source>
-        <translation type="unfinished"></translation>
+        <translation>Aplicaciones / Configuración</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="57"/>
         <source>Settings for TV, Images, Music, Video, Weather, etc.</source>
-        <translation>Configuración para TV, Imágenes, Música, Vídeo, Tiempo, etc.</translation>
+        <translation>Configuración de la TV, Imágenes, Música, Vídeo, El Tiempo, etc.</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="58"/>
         <source>Set Recording Priorities</source>
-        <translation type="unfinished"></translation>
+        <translation>Establecer Prioridades de Grabación</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="59"/>
         <source>Settings to prioritize some shows over others</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuraciones para dar prioridad a unos programas sobre otros</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="60"/>
         <source>Set Channel Recording Priorities</source>
-        <translation type="unfinished"></translation>
+        <translation>Establecer Prioridades de Grabación por Canales</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="61"/>
         <source>Settings to prioritize some channels over others</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuraciones para dar prioridad a unos canales sobre otros</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="62"/>
         <source>Custom Priority</source>
-        <translation type="unfinished"></translation>
+        <translation>Prioridad Personalizada</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="63"/>
         <source>Most used DVR options are found on the main menu. Plugin options are in the utilities menu.</source>
-        <translation type="unfinished"></translation>
+        <translation>Las opciones de DVR más utilizadas aparecen en el menú principal. Las opciones de los complementos están en el menú de aplicaciones.</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="64"/>
         <source>New Titles</source>
-        <translation type="unfinished"></translation>
+        <translation>Títulos Nuevos</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="65"/>
         <source>Pick a program to record for a list of new titles</source>
-        <translation type="unfinished"></translation>
+        <translation>Escoja un programa a grabar de una lista de nuevos títulos</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="66"/>
@@ -21585,7 +21592,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../themes/themestrings.h" line="67"/>
         <source>Pick a movie to record</source>
-        <translation type="unfinished"></translation>
+        <translation>Escoja una película a grabar</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="68"/>
@@ -21595,27 +21602,27 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../themes/themestrings.h" line="69"/>
         <source>Pick a program based on category</source>
-        <translation type="unfinished"></translation>
+        <translation>Escoja un programa basándose en su categoría</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="70"/>
         <source>Channels</source>
-        <translation type="unfinished"></translation>
+        <translation>Canales</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="71"/>
         <source>Pick a program on a given channel</source>
-        <translation type="unfinished"></translation>
+        <translation>Escoja un programa en un canal determinado</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="72"/>
         <source>Time</source>
-        <translation type="unfinished">Hora</translation>
+        <translation>Hora</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="73"/>
         <source>Pick a program based on time</source>
-        <translation type="unfinished"></translation>
+        <translation>Escoja un programa basándose en la hora</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="74"/>
@@ -21625,37 +21632,37 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../themes/themestrings.h" line="75"/>
         <source>Choose programs from a grid-style list</source>
-        <translation>Escoger programas de la parrilla de programación</translation>
+        <translation>Elija programas de una lista en forma de parrilla</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="76"/>
         <source>Program Finder</source>
-        <translation>Buscador Programas</translation>
+        <translation>Buscador de Programas</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="77"/>
         <source>Choose programs from an alphabetical index</source>
-        <translation>Escoger programas de un índice alfabético</translation>
+        <translation>Elija programas de un índice alfabético</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="78"/>
         <source>Search Words</source>
-        <translation type="unfinished"></translation>
+        <translation>Buscar Palabras</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="79"/>
         <source>Find programs matching search words</source>
-        <translation>Buscar programas por palabras</translation>
+        <translation>Busque programas que coincidan con una búsqueda de palabras</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="80"/>
         <source>Search Lists</source>
-        <translation type="unfinished"></translation>
+        <translation>Buscar en Listas</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="81"/>
         <source>Pick a program to record from a set of lists</source>
-        <translation type="unfinished"></translation>
+        <translation>Escoja un programa a grabar de un conjunto de listas</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="82"/>
@@ -21665,102 +21672,102 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../themes/themestrings.h" line="83"/>
         <source>Advanced program finder</source>
-        <translation>Grabador de programas avanzado</translation>
+        <translation>Buscador avanzado de programas</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="84"/>
         <source>Manual Schedule</source>
-        <translation type="unfinished"></translation>
+        <translation>Programación Manual</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="85"/>
         <source>VCR-like recording scheduler</source>
-        <translation>Programador de grabaciones a lo videograbadora</translation>
+        <translation>Programador de grabaciones al estilo VCR</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="86"/>
         <source>Titles</source>
-        <translation type="unfinished"></translation>
+        <translation>Títulos</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="87"/>
         <source>Find a program based on title</source>
-        <translation type="unfinished"></translation>
+        <translation>Busque un programa basándose en el título</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="88"/>
         <source>Keywords</source>
-        <translation type="unfinished"></translation>
+        <translation>Palabras Claves</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="89"/>
         <source>Find a program matching a keyword</source>
-        <translation type="unfinished"></translation>
+        <translation>Buscar un programa que coincida con una palabra clave</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="90"/>
         <source>People</source>
-        <translation type="unfinished"></translation>
+        <translation>Personas</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="91"/>
         <source>Find a program including a given person</source>
-        <translation type="unfinished"></translation>
+        <translation>Buscar un programa que incluya a una persona determinada</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="92"/>
         <source>Advanced</source>
-        <translation type="unfinished"></translation>
+        <translation>Avanzada</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="93"/>
         <source>Combine more than one word search</source>
-        <translation type="unfinished"></translation>
+        <translation>Combine más de una palabra en la búsqueda</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="94"/>
         <source>Stored Searches</source>
-        <translation type="unfinished"></translation>
+        <translation>Búsquedas Guardadas</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="95"/>
         <source>Results of searches you have saved</source>
-        <translation type="unfinished"></translation>
+        <translation>Resultados de búsquedas que haya guardado</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="96"/>
         <source>TV navigation and recording preferences</source>
-        <translation type="unfinished"></translation>
+        <translation>Preferencias de navegación y grabación para la TV</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="97"/>
         <source>Guide appearance and behavior</source>
-        <translation type="unfinished"></translation>
+        <translation>Apariencia y comportamiento de la guía</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="98"/>
         <source>Playback</source>
-        <translation type="unfinished">Reproducir</translation>
+        <translation>Reproducción</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="99"/>
         <source>Settings for viewing and playing TV</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuración para ver y reproducir la TV</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="100"/>
         <source>Playback OSD</source>
-        <translation type="unfinished"></translation>
+        <translation>OSD de la Reproducción</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="101"/>
         <source>Theme and settings for OSD</source>
-        <translation type="unfinished"></translation>
+        <translation>Tema y configuración de la OSD</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="114"/>
         <source>Internet Video</source>
-        <translation type="unfinished"></translation>
+        <translation>Vídeos de Internet</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="125"/>
@@ -25965,7 +25972,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="974"/>
         <source>Version %1 of the %2 theme is now available in the Theme Chooser.  The currently installed version is %3.</source>
-        <translation type="unfinished"></translation>
+        <translation>La versión %1 del tema %2 ya está disponible en el Selector de Temas. La versión actualmente instalada es la %3.</translation>
     </message>
 </context>
 <context>
@@ -26019,22 +26026,22 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../libs/libmythtv/transporteditor.cpp" line="321"/>
         <source>Are you sure you would like to delete this transport?</source>
-        <translation>¿Está seguro de borrar este transporte?</translation>
+        <translation>¿Seguro que le gustaría eliminar este transporte?</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/transporteditor.cpp" line="322"/>
         <source>Yes, delete the transport</source>
-        <translation>Sí, borrar este transporte</translation>
+        <translation>Sí, eliminar este transporte</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/transporteditor.cpp" line="323"/>
         <source>No, don&apos;t</source>
-        <translation>No</translation>
+        <translation>No, no eliminarlo</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/transporteditor.cpp" line="357"/>
         <source>Transport Menu</source>
-        <translation>Menú de transportes</translation>
+        <translation>Menú de Transportes</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/transporteditor.cpp" line="358"/>
@@ -26044,7 +26051,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../libs/libmythtv/transporteditor.cpp" line="359"/>
         <source>Delete...</source>
-        <translation>Borrar...</translation>
+        <translation>Eliminar...</translation>
     </message>
     <message>
         <source>Edit..</source>
@@ -26057,7 +26064,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../libs/libmythtv/transporteditor.cpp" line="276"/>
         <source>Multiplex Editor</source>
-        <translation>Editor Multiplex</translation>
+        <translation>Editor de Múltiples</translation>
     </message>
 </context>
 <context>
@@ -26066,7 +26073,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
         <location filename="../libs/libmyth/uilistbtntype.cpp" line="1477"/>
         <location filename="../libs/libmyth/uilistbtntype.cpp" line="1490"/>
         <source>Search</source>
-        <translation>Búsqueda</translation>
+        <translation>Buscar</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/uilistbtntype.cpp" line="1481"/>
@@ -26090,7 +26097,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
         <location filename="../libs/libmyth/uitypes.cpp" line="2385"/>
         <location filename="../libs/libmyth/uitypes.cpp" line="2398"/>
         <source>Search</source>
-        <translation>Búsqueda</translation>
+        <translation>Buscar</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/uitypes.cpp" line="2389"/>
@@ -26113,7 +26120,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/upnpscanner.cpp" line="230"/>
         <source>Media Servers</source>
-        <translation type="unfinished"></translation>
+        <translation>Servidores de Medios</translation>
     </message>
 </context>
 <context>
@@ -26121,22 +26128,22 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="245"/>
         <source>ZIP operation completed successfully.</source>
-        <translation>La operación ZIP terminó con éxito.</translation>
+        <translation>La operación ZIP se completó con éxito.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="246"/>
         <source>Failed to initialize or load zlib library.</source>
-        <translation>Se falló al inicializar o cargar la biblioteca zlib.</translation>
+        <translation>Fallo al inicializar o cargar la biblioteca zlib.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="247"/>
         <source>zlib library error.</source>
-        <translation>error de biblioteca zlib.</translation>
+        <translation>Error de biblioteca zlib.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="248"/>
         <source>Unable to create or open file.</source>
-        <translation>Imposible crear o abrir el fichero.</translation>
+        <translation>No fue posible crear o abrir el archivo.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="249"/>
@@ -26146,42 +26153,42 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="250"/>
         <source>Corrupted archive.</source>
-        <translation>Archivo corrompido.</translation>
+        <translation>Archivo corrupto.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="251"/>
         <source>Wrong password.</source>
-        <translation>Contraseña equivocada.</translation>
+        <translation>Contraseña errónea.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="252"/>
         <source>No archive has been created yet.</source>
-        <translation>Todavía no se ha creado ningún archivo.</translation>
+        <translation>Aún no se ha creado ningún archivo.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="253"/>
         <source>File or directory does not exist.</source>
-        <translation type="unfinished">No existe el fichero o directorio.</translation>
+        <translation>No existe el archivo o directorio.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="254"/>
         <source>File read error.</source>
-        <translation type="unfinished">Error de lectura en fichero.</translation>
+        <translation>Error de lectura del archivo.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="255"/>
         <source>File write error.</source>
-        <translation>Error de escritura en fichero.</translation>
+        <translation>Error de escritura del archivo.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="256"/>
         <source>File seek error.</source>
-        <translation>Error de búsqueda en fichero.</translation>
+        <translation>Error de búsqueda en el archivo.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="257"/>
         <source>Unable to create a directory.</source>
-        <translation>Imposible crear un direcotrio.</translation>
+        <translation>No fue posible crear un direcotrio.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="258"/>
@@ -26191,12 +26198,12 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="259"/>
         <source>Invalid or incompatible zip archive.</source>
-        <translation type="unfinished"></translation>
+        <translation>Archivo zip no válido o incompatible.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="260"/>
         <source>Inconsistent headers. Archive might be corrupted.</source>
-        <translation>Cabeceras incosistentes. El archivo podría estar corrompido.</translation>
+        <translation>Cabeceras inconsistentes. El archivo podría estar corrupto.</translation>
     </message>
     <message>
         <location filename="../libs/libmythbase/unzip.cpp" line="264"/>
@@ -26209,7 +26216,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="1984"/>
         <source>Probed info</source>
-        <translation>Info Recogida</translation>
+        <translation>Información obtenida</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="2003"/>
@@ -26219,7 +26226,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="2010"/>
         <source>Failed to probe</source>
-        <translation>Fallo al recoger datos</translation>
+        <translation>Fallo al explorar</translation>
     </message>
 </context>
 <context>
@@ -26227,7 +26234,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="1010"/>
         <source>Video dialog loading, or no videos available...</source>
-        <translation type="unfinished"></translation>
+        <translation>Cargando diálogo de vídeos, o no hay vídeos disponibles...</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="1225"/>
@@ -26238,7 +26245,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2176"/>
         <source>Video Search</source>
-        <translation>Búsqueda de Video</translation>
+        <translation>Búsqueda de Vídeos</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2237"/>
@@ -26250,7 +26257,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
         <source>Video Options
 %1
 %2</source>
-        <translation>Opciones de Video
+        <translation>Opciones de Vídeo
 %1
 %2</translation>
     </message>
@@ -26258,13 +26265,13 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2324"/>
         <source>Video Options
 %1</source>
-        <translation>Opciones de Video
+        <translation>Opciones de Vídeo
 %1</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2327"/>
         <source>Video Options</source>
-        <translation>Opciones de Video</translation>
+        <translation>Opciones de los Vídeos</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2338"/>
